Package org.snpeff.nextProt

# Class NextProtXmlEntry

java.lang.Object
org.snpeff.nextProt.NextProtXmlNode
org.snpeff.nextProt.NextProtXmlEntry

public class NextProtXmlEntry extends NextProtXmlNode
Mimics the 'entry' in a NextProt XML file

Author:
  Pablo Cingolani

## Constructor Summary

Constructors
Constructor
Description
`NextProtXmlEntry(String accession, NextProtHandler handler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(NextProtXmlAnnotation ann)`
Add an annotation
`void`
`addIsoformSequence(String isoformAccession, String sequence)`
Add an Isoform sequence
`void`
`addMarkers(NextProtMarkerFactory markersFactory)`
Create all Markers for this entry
`List<NextProtXmlAnnotation>`
`getAnnotations()`
`NextProtHandler`
`getHandler()`
`Set<org.snpeff.nextProt.Identifier>`
`getIdentifiers()`
`NextProtXmlIsoform`
`getIsoform(String isoformAccession)`
Get or create an isoform
`Map<String,NextProtXmlIsoform>`
`getIsoformsByAccession()`
`NextProtXmlIsoform`
`getOrCreateIsoform(String isoformAccession)`
`String`
`toString()`

### Methods inherited from class org.snpeff.nextProt.NextProtXmlNode

`getAccession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NextProtXmlEntry

public NextProtXmlEntry(String accession, NextProtHandler handler)

## Method Details

### add

public void add(NextProtXmlAnnotation ann)
Add an annotation

### addIsoformSequence

public void addIsoformSequence(String isoformAccession, String sequence)
Add an Isoform sequence

### addMarkers

public void addMarkers(NextProtMarkerFactory markersFactory)
Create all Markers for this entry

### getAnnotations

public List<NextProtXmlAnnotation> getAnnotations()

### getHandler

public NextProtHandler getHandler()

### getIdentifiers

public Set<org.snpeff.nextProt.Identifier> getIdentifiers()

### getIsoform

public NextProtXmlIsoform getIsoform(String isoformAccession)
Get or create an isoform

### getIsoformsByAccession

public Map<String,NextProtXmlIsoform> getIsoformsByAccession()

### getOrCreateIsoform

public NextProtXmlIsoform getOrCreateIsoform(String isoformAccession)

### toString

public String toString()

Overrides:
  `toString` in class `Object`